{
  "type": "minecraft:entity",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:creeper_spawn_egg",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                  "item_name": {
                    "translate": "block.overlyrealistic.leaf_trap",
                    "fallback":"Leaf Trap",
                    "color":"white"
                  },
                  "minecraft:custom_data": {
                    "IsLeafTrap": true
                  },
                  "minecraft:entity_data": {
                    "id": "minecraft:marker",
                    "Tags": [
                      "OverlyRealistic.LeafTrapRecentlyPlaced"
                    ]
                  },
                  "item_model": "overlyrealistic:blocks/leaf_trap"
                }
            }
          ]
        }
      ]
    }
  ],
  "functions": []
}